#ifndef LocalAudio_INCLUDED
	#define LocalAudio_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class LocalAudio : public bncs_script_helper
{
public:
	LocalAudio( bncs_client_callback * parent, const char* path );
	virtual ~LocalAudio();

	void buttonCallback( buttonNotify *b );
	int revertiveCallback( revertiveNotify * r );
	void databaseCallback( revertiveNotify * r );
	bncs_string parentCallback( parentNotify *p );
	void timerCallback( int );
	
private:
	bncs_string m_myParam;
	bncs_string m_instance;
	
	// Variables for panel operation
	bncs_config myVals;
	bncs_string myHeader;
	bncs_string myParam;

	int car_router;
	bool source_selected;		// Set true when a source select button is active
	bool dest_selected;			// Set true when a destination button is active
	int source_index;			// Index for the selected source
	int dest_index;				// Index for the selected destination
	int myLocalAudio;
	int myFirstOS;
	int myLastOS;

	bncs_string ws_sl;
	bncs_string my_classroom;

	// Local support functions
	void makeCrosspoint();
};


#endif // LocalAudio_INCLUDED